// creator  : weidu.exe (version 23100)
// argument : BODHIAMB.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BODHIAMB~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #56479 /* ~You are becoming an impressive pest, one that I am finding difficult to ignore!~ [BODHIX33] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #56480 /* ~Honestly, <CHARNAME>, I simply do not know what to do with you. I grow tired of seeing you in my shadow.~ */
  IF ~~ THEN REPLY #56521 /* ~I was not the one that fled our last encounter, Bodhi. Sorry if I... scared you.~ */ GOTO 2
  IF ~~ THEN REPLY #56522 /* ~You are all shadow, Bodhi. I am the light that will mark the new day.~ */ GOTO 3
  IF ~~ THEN REPLY #56523 /* ~And I grow tired of you. I will have your head on a pike before we are through here!~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #56524 /* ~Hardly. It was simply more important that I report of your condition to Irenicus. He has decided that it is of no importance, interesting though it is.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #56525 /* ~What in blazes are you blathering on about? You speak as though someone is scribing your words for some pompous book of history.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #56526 /* ~Oooh, you are no less the fighter for having been through the drow, are you. A pity you are not of more use.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0 3.0 2.0
  SAY #56532 /* ~Regardless, I have not the time to stand here discussing what you will or will not do. I have more important duties to take care of.~ */
  IF ~OR(2)
!InParty("Aerie")
!Global("AerieRomanceActive","GLOBAL",2)
OR(2)
!InParty("Anomen")
!Global("AnomenRomanceActive","GLOBAL",2)
OR(2)
!InParty("Jaheira")
!Global("JaheiraRomanceActive","GLOBAL",2)
OR(2)
!InParty("Viconia")
!Global("ViconiaRomanceActive","GLOBAL",2)~ THEN GOTO 6
  IF ~Global("JaheiraRomanceActive","GLOBAL",2)
InParty("jaheira")~ THEN GOTO 8
  IF ~Global("ViconiaRomanceActive","GLOBAL",2)
InParty("viconia")~ THEN GOTO 9
  IF ~Global("AerieRomanceActive","GLOBAL",2)
InParty("aerie")~ THEN GOTO 10
  IF ~Global("AnomenRomanceActive","GLOBAL",2)
InParty("anomen")~ THEN GOTO 11
END

IF ~~ THEN BEGIN 6 // from: 11.0 10.0 9.0 8.0 5.0
  SAY #56533 /* ~A simple warning, one that you would do well to heed. Follow Irenicus no more, <CHARNAME>, or your end will be dire indeed.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #56535 /* ~I will speak no more to you. Fight, and if you survive, be thankful and go home.~ */
  IF ~~ THEN DO ~DialogueInterrupt(FALSE)
CreateCreatureObject("VAMPIM01",Myself,0,0,0)
CreateCreatureObject("VAMPIM01",Myself,0,0,0)
CreateCreatureObject("VAMPIM01",Myself,0,0,0)
CreateCreatureObject("VAMPIM01",Myself,0,0,0)
ForceSpell(Myself,DRYAD_TELEPORT)
Wait(1)
SetGlobal("Deactivate0801","AR0800",3)
DestroySelf()
~ UNSOLVED_JOURNAL #16351 /* ~The Final Battle with Bodhi.

Bodhi has revealed herself to me, letting me know that she is aware of my pursuit... and in an attempt to dissuade me from entering her lair unleashed yet more of her undead creations upon me.  She swears I will lose much more than my life if I continue to pursue her... although, in truth, I have little choice.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.1
  SAY #56536 /* ~You follow in the hopes of retrieving something dear to you. I say that the longer you keep this up, the more you will lose.~ */
  IF ~OR(2)
!InPartyAllowDead("Jaheira")
Dead("Jaheira")~ THEN GOTO 6
  IF ~InPartyAllowDead("Jaheira")
!Dead("Jaheira")~ THEN GOTO 12
END

IF ~~ THEN BEGIN 9 // from: 5.2
  SAY #56539 /* ~You follow in the hopes of retrieving something dear to you. I say that the longer you keep this up, the more you will lose.~ */
  IF ~OR(2)
!InPartyAllowDead("Viconia")
Dead("Viconia")~ THEN GOTO 6
  IF ~InPartyAllowDead("Viconia")
!Dead("Viconia")~ THEN GOTO 14
END

IF ~~ THEN BEGIN 10 // from: 5.3
  SAY #56540 /* ~You follow in the hopes of retrieving something dear to you. I say that the longer you keep this up, the more you will lose.~ */
  IF ~OR(2)
!InPartyAllowDead("Aerie")
Dead("Aerie")~ THEN GOTO 6
  IF ~InPartyAllowDead("Aerie")
!Dead("Aerie")~ THEN GOTO 16
END

IF ~~ THEN BEGIN 11 // from: 5.4
  SAY #56544 /* ~You follow in the hopes of retrieving something dear to you. I say that the longer you keep this up, the more you will lose.~ */
  IF ~OR(2)
!InPartyAllowDead("Anomen")
Dead("Anomen")~ THEN GOTO 6
  IF ~InPartyAllowDead("Anomen")
!Dead("Anomen")~ THEN GOTO 19
END

IF ~~ THEN BEGIN 12 // from: 8.1
  SAY #56546 /* ~Take poor Jaheira there. I understand you have developed a relationship of sorts. It's so hard on couples when something happens to one of them, don't you agree?~ */
  IF ~~ THEN EXTERN ~JAHEIRAJ~ 505
END

IF ~~ THEN BEGIN 13 // from:
  SAY #56547 /* ~Ahh, but I do not speak for him, Jaheira. I speak of you. This is a lesson, <CHARNAME>. Follow me and you will lose more than you could imagine. Starting now!~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut53c")
~ UNSOLVED_JOURNAL #7002 /* ~The Final Battle with Bodhi.

Bodhi appeared in an ambush shortly before I reached her haven, warning me that she was aware of my pursuit and stealing from me the one person that is dearest to my heart: Jaheira.  Before she vanished and unleashed more of her undead creations upon me, Bodhi warned me that if I continue I will lose even more than I thought possible.  I cannot give up on the Rhynn Lanthorn... but now the life and immortal soul of the one I love is at stake, as well!~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 9.1
  SAY #56548 /* ~Consider the brutish Viconia here. How difficult is it to lose someone when you have only just discovered such feelings?~ */
  IF ~~ THEN EXTERN ~VICONIJ~ 170
END

IF ~~ THEN BEGIN 15 // from:
  SAY #56549 /* ~But does he fear your loss? Let's find out. Follow me further <CHARNAME>, and you will lose more than you can fathom. Starting now!~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut53d")
~ UNSOLVED_JOURNAL #3716 /* ~The Final Battle with Bodhi.

Bodhi appeared in an ambush shortly before I reached her haven, warning me that she was aware of my pursuit and stealing from me the one person that is dearest to my heart: Viconia.  Before she vanished and unleashed more of her undead creations upon me, Bodhi warned me that if I continue I will lose even more than I thought possible.  I cannot give up on the Rhynn Lanthorn... but now the life and immortal soul of the one I love is at stake, as well!~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from: 10.1
  SAY #56552 /* ~Consider the needs of young Aerie here. It is so rough on your couples when something happens to one of them.~ */
  IF ~~ THEN EXTERN ~AERIEJ~ 178
END

IF ~~ THEN BEGIN 17 // from:
  SAY #56555 /* ~I do not speak of you losing him, child. <CHARNAME>, follow me further and you will lose more than you can imagine. Beginning now!~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut53a")
~ UNSOLVED_JOURNAL #5814 /* ~The Final Battle with Bodhi.

Bodhi appeared in an ambush shortly before I reached her haven, warning me that she was aware of my pursuit and stealing from me the one person that is dearest to my heart: Aerie.  Before she vanished and unleashed more of her undead creations upon me, Bodhi warned me that if I continue I will lose even more than I thought possible.  I cannot give up on the Rhynn Lanthorn... but now the life and immortal soul of the one I love is at stake, as well!~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from:
  SAY #56556 /* ~Consider the heroic Anomen. It is so scarring when a couple suffers a loss.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 291
END

IF ~~ THEN BEGIN 19 // from: 11.1 ANOMENJ:291.0
  SAY #56557 /* ~I was not referring to you. Follow me further <CHARNAME>, and you will lose more than you can imagine. Starting now!~ */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("Cut53b")
~ UNSOLVED_JOURNAL #16331 /* ~The Final Battle with Bodhi.

Bodhi appeared in an ambush shortly before I reached her haven, warning me that she was aware of my pursuit and stealing from me the one person that is dearest to my heart: Anomen.  Before she vanished and unleashed more of her undead creations upon me, Bodhi warned me that if I continue I will lose even more than I thought possible.  I cannot give up on the Rhynn Lanthorn... but now the life and immortal soul of the one I love is at stake, as well!~ */ EXIT
END
